<html>
<head>
<title>OGRE: Ogre::StaticGeometry::Region::RegionShadowRenderable Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1StaticGeometry.html">StaticGeometry</a>::<a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Region</a>::<a class="el" href="classOgre_1_1StaticGeometry_1_1Region_1_1RegionShadowRenderable.html">RegionShadowRenderable</a></div>
<h1>Ogre::StaticGeometry::Region::RegionShadowRenderable Class Reference</h1><!-- doxytag: class="Ogre::StaticGeometry::Region::RegionShadowRenderable" --><!-- doxytag: inherits="Ogre::ShadowRenderable" -->Nested class to allow region shadows.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::StaticGeometry::Region::RegionShadowRenderable:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1StaticGeometry_1_1Region_1_1RegionShadowRenderable-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1Region_1_1RegionShadowRenderable.html#4a6e4a7f48cfcb60e832c6bc20b70712">RegionShadowRenderable</a> (<a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Region</a> *parent, <a class="el" href="classOgre_1_1HardwareIndexBufferSharedPtr.html">HardwareIndexBufferSharedPtr</a> *indexBuffer, const <a class="el" href="classOgre_1_1VertexData.html">VertexData</a> *vertexData, bool createSeparateLightCap, bool isLightCap=false)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1Region_1_1RegionShadowRenderable.html#b24b9b4007aff94a6cbb87700d244a96">~RegionShadowRenderable</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1Region_1_1RegionShadowRenderable.html#df18e8ae46c8908e9558e7a035dcd5f0">getWorldTransforms</a> (<a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a> *xform) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Overridden from <a class="el" href="classOgre_1_1ShadowRenderable.html" title="Class which represents the renderable aspects of a set of shadow volume faces.">ShadowRenderable</a>.  <a href="#df18e8ae46c8908e9558e7a035dcd5f0"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1Region_1_1RegionShadowRenderable.html#c67bac4800260f2377cb63bf7552d75f">getWorldOrientation</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Overridden from <a class="el" href="classOgre_1_1ShadowRenderable.html" title="Class which represents the renderable aspects of a set of shadow volume faces.">ShadowRenderable</a>.  <a href="#c67bac4800260f2377cb63bf7552d75f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1Region_1_1RegionShadowRenderable.html#a1bfb99ac36e04dd009bc7df041695ed">getWorldPosition</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Overridden from <a class="el" href="classOgre_1_1ShadowRenderable.html" title="Class which represents the renderable aspects of a set of shadow volume faces.">ShadowRenderable</a>.  <a href="#a1bfb99ac36e04dd009bc7df041695ed"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1Region_1_1RegionShadowRenderable.html#bb67440aa1d39568eceea13996d6b589">getPositionBuffer</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1Region_1_1RegionShadowRenderable.html#2ded0a507c7a82efa83b39d83da10e24">getWBuffer</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowRenderable.html#624c5d9e88df9caeb2f7d57e69dab2be">setMaterial</a> (const <a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a> &amp;mat)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set the material to be used by the shadow, should be set by the caller before adding to a render queue.  <a href="#624c5d9e88df9caeb2f7d57e69dab2be"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowRenderable.html#f314cc202a2b7c3dcf4dd3dc9432346e">getMaterial</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Overridden from <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a>.  <a href="#f314cc202a2b7c3dcf4dd3dc9432346e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowRenderable.html#36d3d1a31ec2661d66faa4675391ed25">getRenderOperation</a> (<a class="el" href="classOgre_1_1RenderOperation.html">RenderOperation</a> &amp;op)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Overridden from <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a>.  <a href="#36d3d1a31ec2661d66faa4675391ed25"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1RenderOperation.html">RenderOperation</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowRenderable.html#e192ff33315f05bee1865a64547fe9a2">getRenderOperationForUpdate</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the internal render operation for set up.  <a href="#e192ff33315f05bee1865a64547fe9a2"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowRenderable.html#0095fe3c8590580bb2b2176e5f279615">getSquaredViewDepth</a> (const <a class="el" href="classOgre_1_1Camera.html">Camera</a> *) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Overridden from <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a>.  <a href="#0095fe3c8590580bb2b2176e5f279615"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="namespaceOgre.html#b82c6299605910b4051ebb3cc3e5539e">LightList</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowRenderable.html#5a3b65ee917444b4a29ca69486d55229">getLights</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Overridden from <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a>.  <a href="#5a3b65ee917444b4a29ca69486d55229"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowRenderable.html#46225aeba80348f0a48b73fb1667866d">isLightCapSeparate</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Does this renderable require a separate light cap?  <a href="#46225aeba80348f0a48b73fb1667866d"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ShadowRenderable.html">ShadowRenderable</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowRenderable.html#9039657d8484c4c1d5bc249aa4bce723">getLightCapRenderable</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the light cap version of this renderable.  <a href="#9039657d8484c4c1d5bc249aa4bce723"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowRenderable.html#e3bb22e06004a85619a71255367dd72f">isVisible</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Should this <a class="el" href="classOgre_1_1ShadowRenderable.html" title="Class which represents the renderable aspects of a set of shadow volume faces.">ShadowRenderable</a> be treated as visible?  <a href="#e3bb22e06004a85619a71255367dd72f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual <a class="el" href="classOgre_1_1Technique.html">Technique</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#afcc80b06f8c74eaac3d35e72ca54842">getTechnique</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Retrieves a pointer to the <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> <a class="el" href="classOgre_1_1Technique.html" title="Class representing an approach to rendering this particular Material.">Technique</a> this renderable object uses.  <a href="#afcc80b06f8c74eaac3d35e72ca54842"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual unsigned short&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#b6ecba3943f56182cddf3b3540afc760">getNumWorldTransforms</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns the number of world transform matrices this renderable requires.  <a href="#b6ecba3943f56182cddf3b3540afc760"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#4136ce4b9d3add5203339327015d872d">setUseIdentityProjection</a> (bool useIdentityProjection)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets whether or not to use an 'identity' projection.  <a href="#4136ce4b9d3add5203339327015d872d"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#2a8f061a5f322e0dae2fd6946fc2966f">getUseIdentityProjection</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns whether or not to use an 'identity' projection.  <a href="#2a8f061a5f322e0dae2fd6946fc2966f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#e53cff42a16304f582ef83ad3017d614">setUseIdentityView</a> (bool useIdentityView)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets whether or not to use an 'identity' view.  <a href="#e53cff42a16304f582ef83ad3017d614"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#55df8c0a5347d589ee6ef7beaa38806e">getUseIdentityView</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns whether or not to use an 'identity' view.  <a href="#55df8c0a5347d589ee6ef7beaa38806e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#9dda967b054609898953bea98ea502b8">getNormaliseNormals</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns whether or not this <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> wishes the hardware to normalise normals.  <a href="#9dda967b054609898953bea98ea502b8"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual const <a class="el" href="namespaceOgre.html#4cfa65f236aec1767fc85022e87059a0">PlaneList</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#1c122c0686168dac942700942bd9f8fc">getClipPlanes</a> () const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#1ce8341c18f75ef0b6d818eceea5b2e2">getCastsShadows</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Method which reports whether this renderable would normally cast a shadow.  <a href="#1ce8341c18f75ef0b6d818eceea5b2e2"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#572c0331ef2ec650d56063fdc17435f5">setCustomParameter</a> (size_t index, const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;value)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets a custom parameter for this <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a>, which may be used to drive calculations for this specific <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a>, like GPU program parameters.  <a href="#572c0331ef2ec650d56063fdc17435f5"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#7f5bd1dc9046cb31307ac53914c82fc9">getCustomParameter</a> (size_t index) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the custom value associated with this <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> at the given index.  <a href="#7f5bd1dc9046cb31307ac53914c82fc9"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#42f520f7ba1c57e10130b81ed444affe">_updateCustomGpuParameter</a> (const <a class="el" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html">GpuProgramParameters::AutoConstantEntry</a> &amp;constantEntry, <a class="el" href="classOgre_1_1GpuProgramParameters.html">GpuProgramParameters</a> *params) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Update a custom <a class="el" href="classOgre_1_1GpuProgramParameters.html" title="Collects together the program parameters used for a GpuProgram.">GpuProgramParameters</a> constant which is derived from information only this <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> knows.  <a href="#42f520f7ba1c57e10130b81ed444affe"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#2108dfc322953a7bd429be8b62811e56">setPolygonModeOverrideable</a> (bool override)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets whether this renderable's chosen detail level can be overridden (downgraded) by the camera setting.  <a href="#2108dfc322953a7bd429be8b62811e56"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#723105bef101e2385747f214348984b5">getPolygonModeOverrideable</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets whether this renderable's chosen detail level can be overridden (downgraded) by the camera setting.  <a href="#723105bef101e2385747f214348984b5"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::map<br>
&lt; size_t, <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#3e944b6d42bc87a19c02f3cc6e677f26">CustomParameterMap</a></td></tr>

<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Region</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1Region_1_1RegionShadowRenderable.html#bc4922377a17078918ecabb9d19d0b4e">mParent</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1Region_1_1RegionShadowRenderable.html#860b2d9cfc31df78c98bd28a65205b3e">mPositionBuffer</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1Region_1_1RegionShadowRenderable.html#5c056117fc5bbacbde2b7902257f0dcd">mWBuffer</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowRenderable.html#8c86d49c8c295f71ee409d1b20e5854d">mMaterial</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1RenderOperation.html">RenderOperation</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowRenderable.html#a88e6ce3da25b3ea5a2fc5e622798b37">mRenderOp</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ShadowRenderable.html">ShadowRenderable</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ShadowRenderable.html#c5e870a708a1fcc9fa8d6873aa11f5c1">mLightCap</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Renderable.html#3e944b6d42bc87a19c02f3cc6e677f26">CustomParameterMap</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#7b91506fcf7007e1bf512dade4682731">mCustomParameters</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#4b7b701d41bfd85656829261cbcb3495">mPolygonModeOverrideable</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#27ee15aed77a5bf84b2c3f80c060616e">mUseIdentityProjection</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#536d8ef571a7a177d94e8a6203bd0b35">mUseIdentityView</a></td></tr>

<tr><td colspan="2"><br><h2>Static Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static const <a class="el" href="namespaceOgre.html#4cfa65f236aec1767fc85022e87059a0">PlaneList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#fb8c005cd3df11a051304937ad322112">msDummyPlaneList</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Nested class to allow region shadows. 
<p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h-source.html#l00355">355</a> of file <a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a>.</p>
<hr><h2>Member Typedef Documentation</h2>
<a class="anchor" name="3e944b6d42bc87a19c02f3cc6e677f26"></a><!-- doxytag: member="Ogre::StaticGeometry::Region::RegionShadowRenderable::CustomParameterMap" ref="3e944b6d42bc87a19c02f3cc6e677f26" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::map&lt;size_t, <a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&gt; <a class="el" href="classOgre_1_1Renderable.html#3e944b6d42bc87a19c02f3cc6e677f26">Ogre::Renderable::CustomParameterMap</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderable_8h-source.html#l00285">285</a> of file <a class="el" href="OgreRenderable_8h-source.html">OgreRenderable.h</a>.</p>

</div>
</div><p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="4a6e4a7f48cfcb60e832c6bc20b70712"></a><!-- doxytag: member="Ogre::StaticGeometry::Region::RegionShadowRenderable::RegionShadowRenderable" ref="4a6e4a7f48cfcb60e832c6bc20b70712" args="(Region *parent, HardwareIndexBufferSharedPtr *indexBuffer, const VertexData *vertexData, bool createSeparateLightCap, bool isLightCap=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::StaticGeometry::Region::RegionShadowRenderable::RegionShadowRenderable           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Region</a> *&nbsp;</td>
          <td class="paramname"> <em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwareIndexBufferSharedPtr.html">HardwareIndexBufferSharedPtr</a> *&nbsp;</td>
          <td class="paramname"> <em>indexBuffer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1VertexData.html">VertexData</a> *&nbsp;</td>
          <td class="paramname"> <em>vertexData</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>createSeparateLightCap</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>isLightCap</em> = <code>false</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="b24b9b4007aff94a6cbb87700d244a96"></a><!-- doxytag: member="Ogre::StaticGeometry::Region::RegionShadowRenderable::~RegionShadowRenderable" ref="b24b9b4007aff94a6cbb87700d244a96" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::StaticGeometry::Region::RegionShadowRenderable::~RegionShadowRenderable           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="df18e8ae46c8908e9558e7a035dcd5f0"></a><!-- doxytag: member="Ogre::StaticGeometry::Region::RegionShadowRenderable::getWorldTransforms" ref="df18e8ae46c8908e9558e7a035dcd5f0" args="(Matrix4 *xform) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::StaticGeometry::Region::RegionShadowRenderable::getWorldTransforms           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a> *&nbsp;</td>
          <td class="paramname"> <em>xform</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Overridden from <a class="el" href="classOgre_1_1ShadowRenderable.html" title="Class which represents the renderable aspects of a set of shadow volume faces.">ShadowRenderable</a>. 
<p>

<p>Implements <a class="el" href="classOgre_1_1ShadowRenderable.html#3ec300ee9b2531c6f8a6330fd029e50b">Ogre::ShadowRenderable</a>.</p>

</div>
</div><p>
<a class="anchor" name="c67bac4800260f2377cb63bf7552d75f"></a><!-- doxytag: member="Ogre::StaticGeometry::Region::RegionShadowRenderable::getWorldOrientation" ref="c67bac4800260f2377cb63bf7552d75f" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a>&amp; Ogre::StaticGeometry::Region::RegionShadowRenderable::getWorldOrientation           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Overridden from <a class="el" href="classOgre_1_1ShadowRenderable.html" title="Class which represents the renderable aspects of a set of shadow volume faces.">ShadowRenderable</a>. 
<p>

<p>Implements <a class="el" href="classOgre_1_1ShadowRenderable.html#117de4d42d750a87646789d909aec59b">Ogre::ShadowRenderable</a>.</p>

</div>
</div><p>
<a class="anchor" name="a1bfb99ac36e04dd009bc7df041695ed"></a><!-- doxytag: member="Ogre::StaticGeometry::Region::RegionShadowRenderable::getWorldPosition" ref="a1bfb99ac36e04dd009bc7df041695ed" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&amp; Ogre::StaticGeometry::Region::RegionShadowRenderable::getWorldPosition           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Overridden from <a class="el" href="classOgre_1_1ShadowRenderable.html" title="Class which represents the renderable aspects of a set of shadow volume faces.">ShadowRenderable</a>. 
<p>

<p>Implements <a class="el" href="classOgre_1_1ShadowRenderable.html#9f1ec57f56bbf690f0072ba60408f446">Ogre::ShadowRenderable</a>.</p>

</div>
</div><p>
<a class="anchor" name="bb67440aa1d39568eceea13996d6b589"></a><!-- doxytag: member="Ogre::StaticGeometry::Region::RegionShadowRenderable::getPositionBuffer" ref="bb67440aa1d39568eceea13996d6b589" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a> Ogre::StaticGeometry::Region::RegionShadowRenderable::getPositionBuffer           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h-source.html#l00375">375</a> of file <a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="2ded0a507c7a82efa83b39d83da10e24"></a><!-- doxytag: member="Ogre::StaticGeometry::Region::RegionShadowRenderable::getWBuffer" ref="2ded0a507c7a82efa83b39d83da10e24" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a> Ogre::StaticGeometry::Region::RegionShadowRenderable::getWBuffer           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h-source.html#l00376">376</a> of file <a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="624c5d9e88df9caeb2f7d57e69dab2be"></a><!-- doxytag: member="Ogre::StaticGeometry::Region::RegionShadowRenderable::setMaterial" ref="624c5d9e88df9caeb2f7d57e69dab2be" args="(const MaterialPtr &amp;mat)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::ShadowRenderable::setMaterial           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>mat</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Set the material to be used by the shadow, should be set by the caller before adding to a render queue. 
<p>

<p>Definition at line <a class="el" href="OgreShadowCaster_8h-source.html#l00059">59</a> of file <a class="el" href="OgreShadowCaster_8h-source.html">OgreShadowCaster.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="f314cc202a2b7c3dcf4dd3dc9432346e"></a><!-- doxytag: member="Ogre::StaticGeometry::Region::RegionShadowRenderable::getMaterial" ref="f314cc202a2b7c3dcf4dd3dc9432346e" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a>&amp; Ogre::ShadowRenderable::getMaterial           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Overridden from <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a>. 
<p>

<p>Implements <a class="el" href="classOgre_1_1Renderable.html#7132944645c7b62d6b2bfff6a64fad31">Ogre::Renderable</a>.</p>

<p>Definition at line <a class="el" href="OgreShadowCaster_8h-source.html#l00061">61</a> of file <a class="el" href="OgreShadowCaster_8h-source.html">OgreShadowCaster.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="36d3d1a31ec2661d66faa4675391ed25"></a><!-- doxytag: member="Ogre::StaticGeometry::Region::RegionShadowRenderable::getRenderOperation" ref="36d3d1a31ec2661d66faa4675391ed25" args="(RenderOperation &amp;op)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::ShadowRenderable::getRenderOperation           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderOperation.html">RenderOperation</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>op</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Overridden from <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a>. 
<p>

<p>Implements <a class="el" href="classOgre_1_1Renderable.html#3621cee2a019e59d3671c1a204caf4c7">Ogre::Renderable</a>.</p>

<p>Definition at line <a class="el" href="OgreShadowCaster_8h-source.html#l00063">63</a> of file <a class="el" href="OgreShadowCaster_8h-source.html">OgreShadowCaster.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e192ff33315f05bee1865a64547fe9a2"></a><!-- doxytag: member="Ogre::StaticGeometry::Region::RegionShadowRenderable::getRenderOperationForUpdate" ref="e192ff33315f05bee1865a64547fe9a2" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderOperation.html">RenderOperation</a>* Ogre::ShadowRenderable::getRenderOperationForUpdate           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the internal render operation for set up. 
<p>

<p>Definition at line <a class="el" href="OgreShadowCaster_8h-source.html#l00065">65</a> of file <a class="el" href="OgreShadowCaster_8h-source.html">OgreShadowCaster.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="0095fe3c8590580bb2b2176e5f279615"></a><!-- doxytag: member="Ogre::StaticGeometry::Region::RegionShadowRenderable::getSquaredViewDepth" ref="0095fe3c8590580bb2b2176e5f279615" args="(const Camera *) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::ShadowRenderable::getSquaredViewDepth           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Camera.html">Camera</a> *&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Overridden from <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a>. 
<p>

<p>Implements <a class="el" href="classOgre_1_1Renderable.html#32353addc2f1d02512314b5d1a53c5c1">Ogre::Renderable</a>.</p>

<p>Definition at line <a class="el" href="OgreShadowCaster_8h-source.html#l00073">73</a> of file <a class="el" href="OgreShadowCaster_8h-source.html">OgreShadowCaster.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="5a3b65ee917444b4a29ca69486d55229"></a><!-- doxytag: member="Ogre::StaticGeometry::Region::RegionShadowRenderable::getLights" ref="5a3b65ee917444b4a29ca69486d55229" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#b82c6299605910b4051ebb3cc3e5539e">LightList</a>&amp; Ogre::ShadowRenderable::getLights           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Overridden from <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a>. 
<p>

<p>Implements <a class="el" href="classOgre_1_1Renderable.html#91a5cc5e517b7c79fa510b9fdcc98691">Ogre::Renderable</a>.</p>

</div>
</div><p>
<a class="anchor" name="46225aeba80348f0a48b73fb1667866d"></a><!-- doxytag: member="Ogre::StaticGeometry::Region::RegionShadowRenderable::isLightCapSeparate" ref="46225aeba80348f0a48b73fb1667866d" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::ShadowRenderable::isLightCapSeparate           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Does this renderable require a separate light cap? 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>If possible, the light cap (when required) should be contained in the usual geometry of the shadow renderable. However, if for some reason the normal depth function (less than) could cause artefacts, then a separate light cap with a depth function of 'always fail' can be used instead. The primary example of this is when there are floating point inaccuracies caused by calculating the shadow geometry separately from the real geometry. </dd></dl>

<p>Definition at line <a class="el" href="OgreShadowCaster_8h-source.html#l00086">86</a> of file <a class="el" href="OgreShadowCaster_8h-source.html">OgreShadowCaster.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="9039657d8484c4c1d5bc249aa4bce723"></a><!-- doxytag: member="Ogre::StaticGeometry::Region::RegionShadowRenderable::getLightCapRenderable" ref="9039657d8484c4c1d5bc249aa4bce723" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ShadowRenderable.html">ShadowRenderable</a>* Ogre::ShadowRenderable::getLightCapRenderable           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the light cap version of this renderable. 
<p>

<p>Definition at line <a class="el" href="OgreShadowCaster_8h-source.html#l00089">89</a> of file <a class="el" href="OgreShadowCaster_8h-source.html">OgreShadowCaster.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e3bb22e06004a85619a71255367dd72f"></a><!-- doxytag: member="Ogre::StaticGeometry::Region::RegionShadowRenderable::isVisible" ref="e3bb22e06004a85619a71255367dd72f" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Ogre::ShadowRenderable::isVisible           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Should this <a class="el" href="classOgre_1_1ShadowRenderable.html" title="Class which represents the renderable aspects of a set of shadow volume faces.">ShadowRenderable</a> be treated as visible? 
<p>

<p>Reimplemented in <a class="el" href="classOgre_1_1Entity_1_1EntityShadowRenderable.html#8ee1c47889ccd79f059c9071e1fb7574">Ogre::Entity::EntityShadowRenderable</a>.</p>

<p>Definition at line <a class="el" href="OgreShadowCaster_8h-source.html#l00091">91</a> of file <a class="el" href="OgreShadowCaster_8h-source.html">OgreShadowCaster.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="afcc80b06f8c74eaac3d35e72ca54842"></a><!-- doxytag: member="Ogre::StaticGeometry::Region::RegionShadowRenderable::getTechnique" ref="afcc80b06f8c74eaac3d35e72ca54842" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1Technique.html">Technique</a>* Ogre::Renderable::getTechnique           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Retrieves a pointer to the <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> <a class="el" href="classOgre_1_1Technique.html" title="Class representing an approach to rendering this particular Material.">Technique</a> this renderable object uses. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This is to allow Renderables to use a chosen <a class="el" href="classOgre_1_1Technique.html" title="Class representing an approach to rendering this particular Material.">Technique</a> if they wish, otherwise they will use the best <a class="el" href="classOgre_1_1Technique.html" title="Class representing an approach to rendering this particular Material.">Technique</a> available for the <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> they are using. </dd></dl>

<p>Reimplemented in <a class="el" href="classOgre_1_1InstancedGeometry_1_1GeometryBucket.html#613c0b348906e65b0c93b858fbd47b40">Ogre::InstancedGeometry::GeometryBucket</a>, <a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html#cefb31cfffc808d28b6e2e10e821d79a">Ogre::StaticGeometry::GeometryBucket</a>, and <a class="el" href="classOgre_1_1SubEntity.html#a03a93d06b05ab2c0064ec41dcdd05e4">Ogre::SubEntity</a>.</p>

<p>Definition at line <a class="el" href="OgreRenderable_8h-source.html#l00073">73</a> of file <a class="el" href="OgreRenderable_8h-source.html">OgreRenderable.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b6ecba3943f56182cddf3b3540afc760"></a><!-- doxytag: member="Ogre::StaticGeometry::Region::RegionShadowRenderable::getNumWorldTransforms" ref="b6ecba3943f56182cddf3b3540afc760" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual unsigned short Ogre::Renderable::getNumWorldTransforms           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns the number of world transform matrices this renderable requires. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>When a renderable uses vertex blending, it uses multiple world matrices instead of a single one. Each vertex sent to the pipeline can reference one or more matrices in this list with given weights. If a renderable does not use vertex blending this method returns 1, which is the default for simplicity. </dd></dl>

<p>Reimplemented in <a class="el" href="classOgre_1_1BorderRenderable.html#b1b34c4ec0b24e6cc3ff71f9979639c8">Ogre::BorderRenderable</a>, <a class="el" href="classOgre_1_1InstancedGeometry_1_1GeometryBucket.html#75e60811f40b80d8b5063c5726f17a8e">Ogre::InstancedGeometry::GeometryBucket</a>, and <a class="el" href="classOgre_1_1SubEntity.html#487d0eb60081f28c8a347ac8d036a133">Ogre::SubEntity</a>.</p>

<p>Definition at line <a class="el" href="OgreRenderable_8h-source.html#l00111">111</a> of file <a class="el" href="OgreRenderable_8h-source.html">OgreRenderable.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="4136ce4b9d3add5203339327015d872d"></a><!-- doxytag: member="Ogre::StaticGeometry::Region::RegionShadowRenderable::setUseIdentityProjection" ref="4136ce4b9d3add5203339327015d872d" args="(bool useIdentityProjection)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Renderable::setUseIdentityProjection           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>useIdentityProjection</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets whether or not to use an 'identity' projection. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Usually <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> objects will use a projection matrix as determined by the active camera. However, if they want they can cancel this out and use an identity projection, which effectively projects in 2D using a {-1, 1} view space. Useful for overlay rendering. Normal renderables need not change this. The default is false. </dd></dl>
<dl class="see" compact><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1Renderable.html#2a8f061a5f322e0dae2fd6946fc2966f" title="Returns whether or not to use an &#39;identity&#39; projection.">Renderable::getUseIdentityProjection</a> </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderable_8h-source.html#l00122">122</a> of file <a class="el" href="OgreRenderable_8h-source.html">OgreRenderable.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="2a8f061a5f322e0dae2fd6946fc2966f"></a><!-- doxytag: member="Ogre::StaticGeometry::Region::RegionShadowRenderable::getUseIdentityProjection" ref="2a8f061a5f322e0dae2fd6946fc2966f" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Renderable::getUseIdentityProjection           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns whether or not to use an 'identity' projection. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Usually <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> objects will use a projection matrix as determined by the active camera. However, if they want they can cancel this out and use an identity projection, which effectively projects in 2D using a {-1, 1} view space. Useful for overlay rendering. Normal renderables need not change this. </dd></dl>
<dl class="see" compact><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1Renderable.html#4136ce4b9d3add5203339327015d872d" title="Sets whether or not to use an &#39;identity&#39; projection.">Renderable::setUseIdentityProjection</a> </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderable_8h-source.html#l00136">136</a> of file <a class="el" href="OgreRenderable_8h-source.html">OgreRenderable.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e53cff42a16304f582ef83ad3017d614"></a><!-- doxytag: member="Ogre::StaticGeometry::Region::RegionShadowRenderable::setUseIdentityView" ref="e53cff42a16304f582ef83ad3017d614" args="(bool useIdentityView)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Renderable::setUseIdentityView           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>useIdentityView</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets whether or not to use an 'identity' view. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Usually <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> objects will use a view matrix as determined by the active camera. However, if they want they can cancel this out and use an identity matrix, which means all geometry is assumed to be relative to camera space already. Useful for overlay rendering. Normal renderables need not change this. The default is false. </dd></dl>
<dl class="see" compact><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1Renderable.html#55df8c0a5347d589ee6ef7beaa38806e" title="Returns whether or not to use an &#39;identity&#39; view.">Renderable::getUseIdentityView</a> </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderable_8h-source.html#l00147">147</a> of file <a class="el" href="OgreRenderable_8h-source.html">OgreRenderable.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="55df8c0a5347d589ee6ef7beaa38806e"></a><!-- doxytag: member="Ogre::StaticGeometry::Region::RegionShadowRenderable::getUseIdentityView" ref="55df8c0a5347d589ee6ef7beaa38806e" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Renderable::getUseIdentityView           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns whether or not to use an 'identity' view. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Usually <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> objects will use a view matrix as determined by the active camera. However, if they want they can cancel this out and use an identity matrix, which means all geometry is assumed to be relative to camera space already. Useful for overlay rendering. Normal renderables need not change this. </dd></dl>
<dl class="see" compact><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1Renderable.html#e53cff42a16304f582ef83ad3017d614" title="Sets whether or not to use an &#39;identity&#39; view.">Renderable::setUseIdentityView</a> </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderable_8h-source.html#l00161">161</a> of file <a class="el" href="OgreRenderable_8h-source.html">OgreRenderable.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="9dda967b054609898953bea98ea502b8"></a><!-- doxytag: member="Ogre::StaticGeometry::Region::RegionShadowRenderable::getNormaliseNormals" ref="9dda967b054609898953bea98ea502b8" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Ogre::Renderable::getNormaliseNormals           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns whether or not this <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> wishes the hardware to normalise normals. 
<p>

<p>Reimplemented in <a class="el" href="classOgre_1_1SubEntity.html#66eec09c10be4c6b3d82f49bdcfc99f0">Ogre::SubEntity</a>.</p>

<p>Definition at line <a class="el" href="OgreRenderable_8h-source.html#l00171">171</a> of file <a class="el" href="OgreRenderable_8h-source.html">OgreRenderable.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="1c122c0686168dac942700942bd9f8fc"></a><!-- doxytag: member="Ogre::StaticGeometry::Region::RegionShadowRenderable::getClipPlanes" ref="1c122c0686168dac942700942bd9f8fc" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="el" href="namespaceOgre.html#4cfa65f236aec1767fc85022e87059a0">PlaneList</a>&amp; Ogre::Renderable::getClipPlanes           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderable_8h-source.html#l00179">179</a> of file <a class="el" href="OgreRenderable_8h-source.html">OgreRenderable.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="1ce8341c18f75ef0b6d818eceea5b2e2"></a><!-- doxytag: member="Ogre::StaticGeometry::Region::RegionShadowRenderable::getCastsShadows" ref="1ce8341c18f75ef0b6d818eceea5b2e2" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Ogre::Renderable::getCastsShadows           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Method which reports whether this renderable would normally cast a shadow. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Subclasses should override this if they could have been used to generate a shadow. </dd></dl>

<p>Reimplemented in <a class="el" href="classOgre_1_1InstancedGeometry_1_1GeometryBucket.html#136135cd7ce9c03fd996d57fdc99350c">Ogre::InstancedGeometry::GeometryBucket</a>, <a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html#6c88fc74259edbf600cab80d61c3aae1">Ogre::StaticGeometry::GeometryBucket</a>, and <a class="el" href="classOgre_1_1SubEntity.html#5ae272c24e46eee8264303694c861a7f">Ogre::SubEntity</a>.</p>

<p>Definition at line <a class="el" href="OgreRenderable_8h-source.html#l00187">187</a> of file <a class="el" href="OgreRenderable_8h-source.html">OgreRenderable.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="572c0331ef2ec650d56063fdc17435f5"></a><!-- doxytag: member="Ogre::StaticGeometry::Region::RegionShadowRenderable::setCustomParameter" ref="572c0331ef2ec650d56063fdc17435f5" args="(size_t index, const Vector4 &amp;value)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Renderable::setCustomParameter           </td>
          <td>(</td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>value</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets a custom parameter for this <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a>, which may be used to drive calculations for this specific <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a>, like GPU program parameters. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Calling this method simply associates a numeric index with a 4-dimensional value for this specific <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a>. This is most useful if the material which this <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> uses a vertex or fragment program, and has an ACT_CUSTOM parameter entry. This parameter entry can refer to the index you specify as part of this call, thereby mapping a custom parameter for this renderable to a program parameter. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>index</em>&nbsp;</td><td>The index with which to associate the value. Note that this does not have to start at 0, and can include gaps. It also has no direct correlation with a GPU program parameter index - the mapping between the two is performed by the ACT_CUSTOM entry, if that is used. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The value to associate. </td></tr>
  </table>
</dl>

<p>Definition at line <a class="el" href="OgreRenderable_8h-source.html#l00204">204</a> of file <a class="el" href="OgreRenderable_8h-source.html">OgreRenderable.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="7f5bd1dc9046cb31307ac53914c82fc9"></a><!-- doxytag: member="Ogre::StaticGeometry::Region::RegionShadowRenderable::getCustomParameter" ref="7f5bd1dc9046cb31307ac53914c82fc9" args="(size_t index) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&amp; Ogre::Renderable::getCustomParameter           </td>
          <td>(</td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>index</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the custom value associated with this <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> at the given index. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>@see</em>&nbsp;</td><td>setCustomParaemter for full details. </td></tr>
  </table>
</dl>

<p>Definition at line <a class="el" href="OgreRenderable_8h-source.html#l00213">213</a> of file <a class="el" href="OgreRenderable_8h-source.html">OgreRenderable.h</a>.</p>

<p>References <a class="el" href="OgreException_8h-source.html#l00108">Ogre::Exception::ERR_ITEM_NOT_FOUND</a>, and <a class="el" href="OgreException_8h-source.html#l00336">OGRE_EXCEPT</a>.</p>

</div>
</div><p>
<a class="anchor" name="42f520f7ba1c57e10130b81ed444affe"></a><!-- doxytag: member="Ogre::StaticGeometry::Region::RegionShadowRenderable::_updateCustomGpuParameter" ref="42f520f7ba1c57e10130b81ed444affe" args="(const GpuProgramParameters::AutoConstantEntry &amp;constantEntry, GpuProgramParameters *params) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::Renderable::_updateCustomGpuParameter           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html">GpuProgramParameters::AutoConstantEntry</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>constantEntry</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1GpuProgramParameters.html">GpuProgramParameters</a> *&nbsp;</td>
          <td class="paramname"> <em>params</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Update a custom <a class="el" href="classOgre_1_1GpuProgramParameters.html" title="Collects together the program parameters used for a GpuProgram.">GpuProgramParameters</a> constant which is derived from information only this <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> knows. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This method allows a <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> to map in a custom GPU program parameter based on it's own data. This is represented by a GPU auto parameter of ACT_CUSTOM, and to allow there to be more than one of these per <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a>, the 'data' field on the auto parameter will identify which parameter is being updated. The implementation of this method must identify the parameter being updated, and call a 'setConstant' method on the passed in <a class="el" href="classOgre_1_1GpuProgramParameters.html" title="Collects together the program parameters used for a GpuProgram.">GpuProgramParameters</a> object, using the details provided in the incoming auto constant setting to identify the index at which to set the parameter. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>You do not need to override this method if you're using the standard sets of data associated with the <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> as provided by setCustomParameter and getCustomParameter. By default, the implementation will map from the value indexed by the 'constantEntry.data' parameter to a value previously set by setCustomParameter. But custom Renderables are free to override this if they want, in any case. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>constantEntry</em>&nbsp;</td><td>The auto constant entry referring to the parameter being updated </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>params</em>&nbsp;</td><td>The parameters object which this method should call to set the updated parameters. </td></tr>
  </table>
</dl>

<p>Reimplemented in <a class="el" href="classOgre_1_1SubEntity.html#271214f0a12235cbd2ced91f9f2d28d3">Ogre::SubEntity</a>.</p>

<p>Definition at line <a class="el" href="OgreRenderable_8h-source.html#l00252">252</a> of file <a class="el" href="OgreRenderable_8h-source.html">OgreRenderable.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1GpuProgramParameters.html#f9e29d2087c860156de6792405b679d4">Ogre::GpuProgramParameters::_writeRawConstant()</a>, <a class="el" href="OgreGpuProgram_8h-source.html#l00668">Ogre::GpuProgramParameters::AutoConstantEntry::data</a>, <a class="el" href="OgreGpuProgram_8h-source.html#l00665">Ogre::GpuProgramParameters::AutoConstantEntry::elementCount</a>, and <a class="el" href="OgreGpuProgram_8h-source.html#l00661">Ogre::GpuProgramParameters::AutoConstantEntry::physicalIndex</a>.</p>

</div>
</div><p>
<a class="anchor" name="2108dfc322953a7bd429be8b62811e56"></a><!-- doxytag: member="Ogre::StaticGeometry::Region::RegionShadowRenderable::setPolygonModeOverrideable" ref="2108dfc322953a7bd429be8b62811e56" args="(bool override)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::Renderable::setPolygonModeOverrideable           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>override</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets whether this renderable's chosen detail level can be overridden (downgraded) by the camera setting. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>override</em>&nbsp;</td><td>true means that a lower camera detail will override this renderables detail level, false means it won't. </td></tr>
  </table>
</dl>

<p>Definition at line <a class="el" href="OgreRenderable_8h-source.html#l00269">269</a> of file <a class="el" href="OgreRenderable_8h-source.html">OgreRenderable.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="723105bef101e2385747f214348984b5"></a><!-- doxytag: member="Ogre::StaticGeometry::Region::RegionShadowRenderable::getPolygonModeOverrideable" ref="723105bef101e2385747f214348984b5" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Ogre::Renderable::getPolygonModeOverrideable           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets whether this renderable's chosen detail level can be overridden (downgraded) by the camera setting. 
<p>

<p>Reimplemented in <a class="el" href="classOgre_1_1BorderRenderable.html#0019a2f8bd469ca970f13ff6f0c24ee7">Ogre::BorderRenderable</a>.</p>

<p>Definition at line <a class="el" href="OgreRenderable_8h-source.html#l00277">277</a> of file <a class="el" href="OgreRenderable_8h-source.html">OgreRenderable.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="bc4922377a17078918ecabb9d19d0b4e"></a><!-- doxytag: member="Ogre::StaticGeometry::Region::RegionShadowRenderable::mParent" ref="bc4922377a17078918ecabb9d19d0b4e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html">Region</a>* <a class="el" href="classOgre_1_1StaticGeometry_1_1Region_1_1RegionShadowRenderable.html#bc4922377a17078918ecabb9d19d0b4e">Ogre::StaticGeometry::Region::RegionShadowRenderable::mParent</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h-source.html#l00358">358</a> of file <a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="860b2d9cfc31df78c98bd28a65205b3e"></a><!-- doxytag: member="Ogre::StaticGeometry::Region::RegionShadowRenderable::mPositionBuffer" ref="860b2d9cfc31df78c98bd28a65205b3e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a> <a class="el" href="classOgre_1_1StaticGeometry_1_1Region_1_1RegionShadowRenderable.html#860b2d9cfc31df78c98bd28a65205b3e">Ogre::StaticGeometry::Region::RegionShadowRenderable::mPositionBuffer</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h-source.html#l00360">360</a> of file <a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="5c056117fc5bbacbde2b7902257f0dcd"></a><!-- doxytag: member="Ogre::StaticGeometry::Region::RegionShadowRenderable::mWBuffer" ref="5c056117fc5bbacbde2b7902257f0dcd" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a> <a class="el" href="classOgre_1_1StaticGeometry_1_1Region_1_1RegionShadowRenderable.html#5c056117fc5bbacbde2b7902257f0dcd">Ogre::StaticGeometry::Region::RegionShadowRenderable::mWBuffer</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h-source.html#l00362">362</a> of file <a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="8c86d49c8c295f71ee409d1b20e5854d"></a><!-- doxytag: member="Ogre::StaticGeometry::Region::RegionShadowRenderable::mMaterial" ref="8c86d49c8c295f71ee409d1b20e5854d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a> <a class="el" href="classOgre_1_1ShadowRenderable.html#8c86d49c8c295f71ee409d1b20e5854d">Ogre::ShadowRenderable::mMaterial</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreShadowCaster_8h-source.html#l00050">50</a> of file <a class="el" href="OgreShadowCaster_8h-source.html">OgreShadowCaster.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="a88e6ce3da25b3ea5a2fc5e622798b37"></a><!-- doxytag: member="Ogre::StaticGeometry::Region::RegionShadowRenderable::mRenderOp" ref="a88e6ce3da25b3ea5a2fc5e622798b37" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderOperation.html">RenderOperation</a> <a class="el" href="classOgre_1_1ShadowRenderable.html#a88e6ce3da25b3ea5a2fc5e622798b37">Ogre::ShadowRenderable::mRenderOp</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreShadowCaster_8h-source.html#l00051">51</a> of file <a class="el" href="OgreShadowCaster_8h-source.html">OgreShadowCaster.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="c5e870a708a1fcc9fa8d6873aa11f5c1"></a><!-- doxytag: member="Ogre::StaticGeometry::Region::RegionShadowRenderable::mLightCap" ref="c5e870a708a1fcc9fa8d6873aa11f5c1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ShadowRenderable.html">ShadowRenderable</a>* <a class="el" href="classOgre_1_1ShadowRenderable.html#c5e870a708a1fcc9fa8d6873aa11f5c1">Ogre::ShadowRenderable::mLightCap</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreShadowCaster_8h-source.html#l00052">52</a> of file <a class="el" href="OgreShadowCaster_8h-source.html">OgreShadowCaster.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="fb8c005cd3df11a051304937ad322112"></a><!-- doxytag: member="Ogre::StaticGeometry::Region::RegionShadowRenderable::msDummyPlaneList" ref="fb8c005cd3df11a051304937ad322112" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#4cfa65f236aec1767fc85022e87059a0">PlaneList</a> <a class="el" href="classOgre_1_1Renderable.html#fb8c005cd3df11a051304937ad322112">Ogre::Renderable::msDummyPlaneList</a><code> [static, protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderable_8h-source.html#l00284">284</a> of file <a class="el" href="OgreRenderable_8h-source.html">OgreRenderable.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="7b91506fcf7007e1bf512dade4682731"></a><!-- doxytag: member="Ogre::StaticGeometry::Region::RegionShadowRenderable::mCustomParameters" ref="7b91506fcf7007e1bf512dade4682731" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Renderable.html#3e944b6d42bc87a19c02f3cc6e677f26">CustomParameterMap</a> <a class="el" href="classOgre_1_1Renderable.html#7b91506fcf7007e1bf512dade4682731">Ogre::Renderable::mCustomParameters</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderable_8h-source.html#l00286">286</a> of file <a class="el" href="OgreRenderable_8h-source.html">OgreRenderable.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="4b7b701d41bfd85656829261cbcb3495"></a><!-- doxytag: member="Ogre::StaticGeometry::Region::RegionShadowRenderable::mPolygonModeOverrideable" ref="4b7b701d41bfd85656829261cbcb3495" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Renderable.html#4b7b701d41bfd85656829261cbcb3495">Ogre::Renderable::mPolygonModeOverrideable</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderable_8h-source.html#l00287">287</a> of file <a class="el" href="OgreRenderable_8h-source.html">OgreRenderable.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="27ee15aed77a5bf84b2c3f80c060616e"></a><!-- doxytag: member="Ogre::StaticGeometry::Region::RegionShadowRenderable::mUseIdentityProjection" ref="27ee15aed77a5bf84b2c3f80c060616e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Renderable.html#27ee15aed77a5bf84b2c3f80c060616e">Ogre::Renderable::mUseIdentityProjection</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderable_8h-source.html#l00288">288</a> of file <a class="el" href="OgreRenderable_8h-source.html">OgreRenderable.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="536d8ef571a7a177d94e8a6203bd0b35"></a><!-- doxytag: member="Ogre::StaticGeometry::Region::RegionShadowRenderable::mUseIdentityView" ref="536d8ef571a7a177d94e8a6203bd0b35" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Renderable.html#536d8ef571a7a177d94e8a6203bd0b35">Ogre::Renderable::mUseIdentityView</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderable_8h-source.html#l00289">289</a> of file <a class="el" href="OgreRenderable_8h-source.html">OgreRenderable.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:54:15 2008
</p>
</body>
</html>
